<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.mapper.FacilityManagementMapper">

    <resultMap id="BaseResultMap" type="com.ruoyi.web.domain.entity.FacilityManagement">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="facilityType" column="facility_type" jdbcType="VARCHAR"/>
            <result property="facilityName" column="facility_name" jdbcType="VARCHAR"/>
            <result property="location" column="location" jdbcType="VARCHAR"/>
            <result property="extent" column="extent" jdbcType="VARCHAR"/>
            <result property="breadth" column="breadth" jdbcType="VARCHAR"/>
            <result property="carNum" column="car_num" jdbcType="INTEGER"/>
            <result property="surface" column="surface" jdbcType="VARCHAR"/>
            <result property="lineLength" column="line_length" jdbcType="VARCHAR"/>
            <result property="electric" column="electric" jdbcType="VARCHAR"/>
            <result property="coverageArea" column="coverage_area" jdbcType="VARCHAR"/>
            <result property="power" column="power" jdbcType="VARCHAR"/>
            <result property="operator" column="operator" jdbcType="VARCHAR"/>
            <result property="area" column="area" jdbcType="VARCHAR"/>
            <result property="year" column="year" jdbcType="VARCHAR"/>
            <result property="classNum" column="class_num" jdbcType="INTEGER"/>
            <result property="teacherNum" column="teacher_num" jdbcType="INTEGER"/>
            <result property="studentNum" column="student_num" jdbcType="INTEGER"/>
            <result property="phone" column="phone" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="delFlag" column="del_flag" jdbcType="CHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,facility_type,facility_name,
        location,extent,breadth,
        car_num,surface,line_length,
        electric,coverage_area,power,
        operator,area,year,class_num,
        teacher_num,student_num,phone,
        create_time,update_time,del_flag
    </sql>
</mapper>
